# Serialized Form

- ## Package org.apache.hadoop.hdfs.protocol

  - ### Class org.apache.hadoop.hdfs.protocol.FSLimitException.MaxDirectoryItemsExceededException extends org.apache.hadoop.hdfs.protocol.FSLimitException implements Serializable

    serialVersionUID:
      1L

  - ### Class org.apache.hadoop.hdfs.protocol.FSLimitException.PathComponentTooLongException extends org.apache.hadoop.hdfs.protocol.FSLimitException implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### childName

            String childName

  - ### Class org.apache.hadoop.hdfs.protocol.SnapshotException extends IOException implements Serializable

    serialVersionUID:
      1L

- ## Package org.apache.hadoop.hdfs.qjournal.protocol

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.AcceptRecoveryRequestProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### reqInfo_

            QJournalProtocolProtos.RequestInfoProto reqInfo_

      - #### stateToAccept_

            QJournalProtocolProtos.SegmentStateProto stateToAccept_

      - #### fromURL_

            Object fromURL_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.AcceptRecoveryResponseProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.CanRollBackRequestProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### jid_

            QJournalProtocolProtos.JournalIdProto jid_

      - #### storage_

            org.apache.hadoop.hdfs.protocol.proto.HdfsServerProtos.StorageInfoProto storage_

      - #### prevStorage_

            org.apache.hadoop.hdfs.protocol.proto.HdfsServerProtos.StorageInfoProto prevStorage_

      - #### targetLayoutVersion_

            int targetLayoutVersion_

      - #### nameServiceId_

            Object nameServiceId_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.CanRollBackResponseProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### canRollBack_

            boolean canRollBack_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.DiscardSegmentsRequestProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### jid_

            QJournalProtocolProtos.JournalIdProto jid_

      - #### startTxId_

            long startTxId_

      - #### nameServiceId_

            Object nameServiceId_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.DiscardSegmentsResponseProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.DoFinalizeRequestProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### jid_

            QJournalProtocolProtos.JournalIdProto jid_

      - #### nameServiceId_

            Object nameServiceId_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.DoFinalizeResponseProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.DoPreUpgradeRequestProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### jid_

            QJournalProtocolProtos.JournalIdProto jid_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.DoPreUpgradeResponseProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.DoRollbackRequestProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### jid_

            QJournalProtocolProtos.JournalIdProto jid_

      - #### nameserviceId_

            Object nameserviceId_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.DoRollbackResponseProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.DoUpgradeRequestProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### jid_

            QJournalProtocolProtos.JournalIdProto jid_

      - #### sInfo_

            org.apache.hadoop.hdfs.protocol.proto.HdfsServerProtos.StorageInfoProto sInfo_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.DoUpgradeResponseProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.FinalizeLogSegmentRequestProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### reqInfo_

            QJournalProtocolProtos.RequestInfoProto reqInfo_

      - #### startTxId_

            long startTxId_

      - #### endTxId_

            long endTxId_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.FinalizeLogSegmentResponseProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.FormatRequestProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### jid_

            QJournalProtocolProtos.JournalIdProto jid_

      - #### nsInfo_

            org.apache.hadoop.hdfs.protocol.proto.HdfsServerProtos.NamespaceInfoProto nsInfo_

      - #### nameServiceId_

            Object nameServiceId_

      - #### force_

            boolean force_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.FormatResponseProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.GetEditLogManifestRequestProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### jid_

            QJournalProtocolProtos.JournalIdProto jid_

      - #### sinceTxId_

            long sinceTxId_

      - #### inProgressOk_

            boolean inProgressOk_

      - #### nameServiceId_

            Object nameServiceId_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.GetEditLogManifestResponseProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### manifest_

            org.apache.hadoop.hdfs.protocol.proto.HdfsServerProtos.RemoteEditLogManifestProto manifest_

      - #### httpPort_

            int httpPort_

      - #### fromURL_

            Object fromURL_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.GetJournalCTimeRequestProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### jid_

            QJournalProtocolProtos.JournalIdProto jid_

      - #### nameServiceId_

            Object nameServiceId_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.GetJournalCTimeResponseProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### resultCTime_

            long resultCTime_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.GetJournaledEditsRequestProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### jid_

            QJournalProtocolProtos.JournalIdProto jid_

      - #### sinceTxId_

            long sinceTxId_

      - #### maxTxns_

            int maxTxns_

      - #### nameServiceId_

            Object nameServiceId_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.GetJournaledEditsResponseProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### txnCount_

            int txnCount_

      - #### editLog_

            com.google.protobuf.ByteString editLog_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.GetJournalStateRequestProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### jid_

            QJournalProtocolProtos.JournalIdProto jid_

      - #### nameServiceId_

            Object nameServiceId_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.GetJournalStateResponseProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### lastPromisedEpoch_

            long lastPromisedEpoch_

      - #### httpPort_

            int httpPort_

      - #### fromURL_

            Object fromURL_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.HeartbeatRequestProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### reqInfo_

            QJournalProtocolProtos.RequestInfoProto reqInfo_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.HeartbeatResponseProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.IsFormattedRequestProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### jid_

            QJournalProtocolProtos.JournalIdProto jid_

      - #### nameServiceId_

            Object nameServiceId_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.IsFormattedResponseProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### isFormatted_

            boolean isFormatted_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.JournalIdProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### identifier_

            Object identifier_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.JournalRequestProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### reqInfo_

            QJournalProtocolProtos.RequestInfoProto reqInfo_

      - #### firstTxnId_

            long firstTxnId_

      - #### numTxns_

            int numTxns_

      - #### records_

            com.google.protobuf.ByteString records_

      - #### segmentTxnId_

            long segmentTxnId_

      - #### nameServiceId_

            Object nameServiceId_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.JournalResponseProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.NewEpochRequestProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### jid_

            QJournalProtocolProtos.JournalIdProto jid_

      - #### nsInfo_

            org.apache.hadoop.hdfs.protocol.proto.HdfsServerProtos.NamespaceInfoProto nsInfo_

      - #### epoch_

            long epoch_

      - #### nameServiceId_

            Object nameServiceId_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.NewEpochResponseProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### lastSegmentTxId_

            long lastSegmentTxId_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.PersistedRecoveryPaxosData extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### segmentState_

            QJournalProtocolProtos.SegmentStateProto segmentState_

      - #### acceptedInEpoch_

            long acceptedInEpoch_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.PrepareRecoveryRequestProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### reqInfo_

            QJournalProtocolProtos.RequestInfoProto reqInfo_

      - #### segmentTxId_

            long segmentTxId_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.PrepareRecoveryResponseProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### segmentState_

            QJournalProtocolProtos.SegmentStateProto segmentState_

      - #### acceptedInEpoch_

            long acceptedInEpoch_

      - #### lastWriterEpoch_

            long lastWriterEpoch_

      - #### lastCommittedTxId_

            long lastCommittedTxId_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.PurgeLogsRequestProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### reqInfo_

            QJournalProtocolProtos.RequestInfoProto reqInfo_

      - #### minTxIdToKeep_

            long minTxIdToKeep_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.PurgeLogsResponseProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.RequestInfoProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### journalId_

            QJournalProtocolProtos.JournalIdProto journalId_

      - #### epoch_

            long epoch_

      - #### ipcSerialNumber_

            long ipcSerialNumber_

      - #### committedTxId_

            long committedTxId_

      - #### nameServiceId_

            Object nameServiceId_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.SegmentStateProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### startTxId_

            long startTxId_

      - #### endTxId_

            long endTxId_

      - #### isInProgress_

            boolean isInProgress_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.StartLogSegmentRequestProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### reqInfo_

            QJournalProtocolProtos.RequestInfoProto reqInfo_

      - #### txid_

            long txid_

      - #### layoutVersion_

            int layoutVersion_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

  - ### Class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.StartLogSegmentResponseProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

      - #### memoizedHashCode

            int memoizedHashCode

- ## Package org.apache.hadoop.hdfs.server.blockmanagement

  - ### Class org.apache.hadoop.hdfs.server.blockmanagement.UnresolvedTopologyException extends IOException implements Serializable

    serialVersionUID:
      1L

- ## Package org.apache.hadoop.hdfs.server.datanode

  - ### Class org.apache.hadoop.hdfs.server.datanode.BPServiceActorActionException extends IOException implements Serializable

    serialVersionUID:
      1L

  - ### Class org.apache.hadoop.hdfs.server.datanode.DiskFileCorruptException extends IOException implements Serializable

  - ### Class org.apache.hadoop.hdfs.server.datanode.ReplicaAlreadyExistsException extends IOException implements Serializable

    serialVersionUID:
      1L

  - ### Class org.apache.hadoop.hdfs.server.datanode.UnexpectedReplicaStateException extends IOException implements Serializable

    serialVersionUID:
      1L

- ## Package org.apache.hadoop.hdfs.server.datanode.fsdataset.impl

  - ### Class org.apache.hadoop.hdfs.server.datanode.fsdataset.impl.AddBlockPoolException extends RuntimeException implements Serializable

    - ### Serialized Fields

      - #### unhealthyDataDirs

            Map<K,V> unhealthyDataDirs

- ## Package org.apache.hadoop.hdfs.server.diskbalancer

  - ### Class org.apache.hadoop.hdfs.server.diskbalancer.DiskBalancerException extends IOException implements Serializable

    - ### Serialized Fields

      - #### result

            DiskBalancerException.Result result

- ## Package org.apache.hadoop.hdfs.server.namenode

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.CacheManagerSection extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### nextDirectiveId_

            long nextDirectiveId_

      - #### numPools_

            int numPools_

      - #### numDirectives_

            int numDirectives_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.ErasureCodingSection extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### policies_

            List<E> policies_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.FileSummary extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### ondiskVersion_

            int ondiskVersion_

      - #### layoutVersion_

            int layoutVersion_

      - #### codec_

            Object codec_

      - #### sections_

            List<E> sections_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.FileSummary.Section extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### name_

            Object name_

      - #### length_

            long length_

      - #### offset_

            long offset_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.FilesUnderConstructionSection extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.FilesUnderConstructionSection.FileUnderConstructionEntry extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### inodeId_

            long inodeId_

      - #### fullPath_

            Object fullPath_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.INodeDirectorySection extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.INodeDirectorySection.DirEntry extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### parent_

            long parent_

      - #### children_

            List<E> children_

      - #### childrenMemoizedSerializedSize

            int childrenMemoizedSerializedSize

      - #### refChildren_

            List<E> refChildren_

      - #### refChildrenMemoizedSerializedSize

            int refChildrenMemoizedSerializedSize

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.INodeReferenceSection extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.INodeReferenceSection.INodeReference extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### referredId_

            long referredId_

      - #### name_

            com.google.protobuf.ByteString name_

      - #### dstSnapshotId_

            int dstSnapshotId_

      - #### lastSnapshotId_

            int lastSnapshotId_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.INodeSection extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### lastInodeId_

            long lastInodeId_

      - #### numInodes_

            long numInodes_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.INodeSection.AclFeatureProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### entries_

            List<E> entries_

      - #### entriesMemoizedSerializedSize

            int entriesMemoizedSerializedSize

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.INodeSection.FileUnderConstructionFeature extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### clientName_

            Object clientName_

      - #### clientMachine_

            Object clientMachine_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.INodeSection.INode extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### type_

            FsImageProto.INodeSection.INode.Type type_

      - #### id_

            long id_

      - #### name_

            com.google.protobuf.ByteString name_

      - #### file_

            FsImageProto.INodeSection.INodeFile file_

      - #### directory_

            FsImageProto.INodeSection.INodeDirectory directory_

      - #### symlink_

            FsImageProto.INodeSection.INodeSymlink symlink_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.INodeSection.INodeDirectory extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### modificationTime_

            long modificationTime_

      - #### nsQuota_

            long nsQuota_

      - #### dsQuota_

            long dsQuota_

      - #### permission_

            long permission_

      - #### acl_

            FsImageProto.INodeSection.AclFeatureProto acl_

      - #### xAttrs_

            FsImageProto.INodeSection.XAttrFeatureProto xAttrs_

      - #### typeQuotas_

            FsImageProto.INodeSection.QuotaByStorageTypeFeatureProto typeQuotas_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.INodeSection.INodeFile extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### replication_

            int replication_

      - #### modificationTime_

            long modificationTime_

      - #### accessTime_

            long accessTime_

      - #### preferredBlockSize_

            long preferredBlockSize_

      - #### permission_

            long permission_

      - #### blocks_

            List<E> blocks_

      - #### fileUC_

            FsImageProto.INodeSection.FileUnderConstructionFeature fileUC_

      - #### acl_

            FsImageProto.INodeSection.AclFeatureProto acl_

      - #### xAttrs_

            FsImageProto.INodeSection.XAttrFeatureProto xAttrs_

      - #### storagePolicyID_

            int storagePolicyID_

      - #### blockType_

            org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockTypeProto blockType_

      - #### erasureCodingPolicyID_

            int erasureCodingPolicyID_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.INodeSection.INodeSymlink extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### permission_

            long permission_

      - #### target_

            com.google.protobuf.ByteString target_

      - #### modificationTime_

            long modificationTime_

      - #### accessTime_

            long accessTime_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.INodeSection.QuotaByStorageTypeEntryProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### storageType_

            org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.StorageTypeProto storageType_

      - #### quota_

            long quota_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.INodeSection.QuotaByStorageTypeFeatureProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### quotas_

            List<E> quotas_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.INodeSection.XAttrCompactProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### name_

            int name_

      - #### value_

            com.google.protobuf.ByteString value_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.INodeSection.XAttrFeatureProto extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### xAttrs_

            List<E> xAttrs_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.NameSystemSection extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### namespaceId_

            int namespaceId_

      - #### genstampV1_

            long genstampV1_

      - #### genstampV2_

            long genstampV2_

      - #### genstampV1Limit_

            long genstampV1Limit_

      - #### lastAllocatedBlockId_

            long lastAllocatedBlockId_

      - #### transactionId_

            long transactionId_

      - #### rollingUpgradeStartTime_

            long rollingUpgradeStartTime_

      - #### lastAllocatedStripedBlockId_

            long lastAllocatedStripedBlockId_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.SecretManagerSection extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### currentId_

            int currentId_

      - #### tokenSequenceNumber_

            int tokenSequenceNumber_

      - #### numKeys_

            int numKeys_

      - #### numTokens_

            int numTokens_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.SecretManagerSection.DelegationKey extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### id_

            int id_

      - #### expiryDate_

            long expiryDate_

      - #### key_

            com.google.protobuf.ByteString key_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.SecretManagerSection.PersistToken extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### version_

            int version_

      - #### owner_

            Object owner_

      - #### renewer_

            Object renewer_

      - #### realUser_

            Object realUser_

      - #### issueDate_

            long issueDate_

      - #### maxDate_

            long maxDate_

      - #### sequenceNumber_

            int sequenceNumber_

      - #### masterKeyId_

            int masterKeyId_

      - #### expiryDate_

            long expiryDate_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.SnapshotDiffSection extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.SnapshotDiffSection.CreatedListEntry extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### name_

            com.google.protobuf.ByteString name_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.SnapshotDiffSection.DiffEntry extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### type_

            FsImageProto.SnapshotDiffSection.DiffEntry.Type type_

      - #### inodeId_

            long inodeId_

      - #### numOfDiff_

            int numOfDiff_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.SnapshotDiffSection.DirectoryDiff extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### snapshotId_

            int snapshotId_

      - #### childrenSize_

            int childrenSize_

      - #### isSnapshotRoot_

            boolean isSnapshotRoot_

      - #### name_

            com.google.protobuf.ByteString name_

      - #### snapshotCopy_

            FsImageProto.INodeSection.INodeDirectory snapshotCopy_

      - #### createdListSize_

            int createdListSize_

      - #### deletedINode_

            List<E> deletedINode_

      - #### deletedINodeMemoizedSerializedSize

            int deletedINodeMemoizedSerializedSize

      - #### deletedINodeRef_

            List<E> deletedINodeRef_

      - #### deletedINodeRefMemoizedSerializedSize

            int deletedINodeRefMemoizedSerializedSize

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.SnapshotDiffSection.FileDiff extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### snapshotId_

            int snapshotId_

      - #### fileSize_

            long fileSize_

      - #### name_

            com.google.protobuf.ByteString name_

      - #### snapshotCopy_

            FsImageProto.INodeSection.INodeFile snapshotCopy_

      - #### blocks_

            List<E> blocks_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.SnapshotSection extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### snapshotCounter_

            int snapshotCounter_

      - #### snapshottableDir_

            List<E> snapshottableDir_

      - #### snapshottableDirMemoizedSerializedSize

            int snapshottableDirMemoizedSerializedSize

      - #### numSnapshots_

            int numSnapshots_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.SnapshotSection.Snapshot extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### snapshotId_

            int snapshotId_

      - #### root_

            FsImageProto.INodeSection.INode root_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.StringTableSection extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### numEntry_

            int numEntry_

      - #### maskBits_

            int maskBits_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.FsImageProto.StringTableSection.Entry extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### id_

            int id_

      - #### str_

            Object str_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.hadoop.hdfs.server.namenode.IsNameNodeActiveServlet extends org.apache.hadoop.http.IsActiveServlet implements Serializable

  - ### Class org.apache.hadoop.hdfs.server.namenode.JournalManager.CorruptionException extends IOException implements Serializable

    serialVersionUID:
      -4687802717006172702L

  - ### Class org.apache.hadoop.hdfs.server.namenode.MetaRecoveryContext.RequestStopException extends IOException implements Serializable

    serialVersionUID:
      1L

- ## Package org.apache.hadoop.hdfs.server.namenode.ha.proto

  - ### Class org.apache.hadoop.hdfs.server.namenode.ha.proto.HAZKInfoProtos.ActiveNodeInfo extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### nameserviceId_

            Object nameserviceId_

      - #### namenodeId_

            Object namenodeId_

      - #### hostname_

            Object hostname_

      - #### port_

            int port_

      - #### zkfcPort_

            int zkfcPort_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

- ## Package org.apache.hadoop.hdfs.tools.offlineImageViewer

  - ### Class org.apache.hadoop.hdfs.tools.offlineImageViewer.IgnoreSnapshotException extends IOException implements Serializable

- ## Package org.apache.hadoop.hdfs.util

  - ### Class org.apache.hadoop.hdfs.util.ConstEnumCounters.ConstEnumException extends RuntimeException implements Serializable

  - ### Class org.apache.hadoop.hdfs.util.XMLUtils.InvalidXmlException extends RuntimeException implements Serializable

    serialVersionUID:
      1L

  - ### Class org.apache.hadoop.hdfs.util.XMLUtils.UnmanglingError extends RuntimeException implements Serializable

    serialVersionUID:
      1L

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.